/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Controller.as 20454 2010-10-12 15:52:44Z lglglglg $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.osgiconsole.control
{
	import com.adobe.cairngorm.control.FrontController;

	import org.ow2.jonas.admin.osgiconsole.command.BundleActionCommand;
	import org.ow2.jonas.admin.osgiconsole.command.BundleInfoCommand;
	import org.ow2.jonas.admin.osgiconsole.command.BundleInfoUpdateCommand;
	import org.ow2.jonas.admin.osgiconsole.command.BundleInstallCommand;
	import org.ow2.jonas.admin.osgiconsole.command.ErrorUpdateCommand;
	import org.ow2.jonas.admin.osgiconsole.command.OBRRepoActionCommand;
	import org.ow2.jonas.admin.osgiconsole.command.OBRRepoCommand;
	import org.ow2.jonas.admin.osgiconsole.command.ServiceInfoCommand;
	import org.ow2.jonas.admin.osgiconsole.command.ServiceSelectedCommand;
	import org.ow2.jonas.admin.osgiconsole.command.ShellCommand;
	import org.ow2.jonas.admin.osgiconsole.event.BundleActionEvent;
	import org.ow2.jonas.admin.osgiconsole.event.BundleInfoEvent;
	import org.ow2.jonas.admin.osgiconsole.event.BundleInfoUpdateEvent;
	import org.ow2.jonas.admin.osgiconsole.event.BundleInstallEvent;
	import org.ow2.jonas.admin.osgiconsole.event.ErrorUpdateEvent;
	import org.ow2.jonas.admin.osgiconsole.event.OBRRepoActionEvent;
	import org.ow2.jonas.admin.osgiconsole.event.OBRRepoEvent;
	import org.ow2.jonas.admin.osgiconsole.event.ServiceInfoEvent;
	import org.ow2.jonas.admin.osgiconsole.event.ServiceSelectedEvent;
	import org.ow2.jonas.admin.osgiconsole.event.ShellEvent;
	import org.ow2.jonas.admin.osgiconsole.model.OSGIConsoleModelLocator;

	public class Controller extends FrontController
	{
		public function Controller()
		{
			var model : OSGIConsoleModelLocator = OSGIConsoleModelLocator.getInstance();

			this.addCommand(BundleInfoEvent.EVENT_GET_BUNDLE_LIST+OSGIConsoleModelLocator.getInstance().componentID,BundleInfoCommand);
			this.addCommand(BundleInfoUpdateEvent.EVENT_UPDATE_BUNDLE_LIST+OSGIConsoleModelLocator.getInstance().componentID,BundleInfoUpdateCommand);
			this.addCommand(BundleInstallEvent.EVENT_INSTALL_BUNDLE+OSGIConsoleModelLocator.getInstance().componentID,BundleInstallCommand);
			this.addCommand(BundleActionEvent.EVENT_ACTION_BUNDLE+OSGIConsoleModelLocator.getInstance().componentID,BundleActionCommand);
			this.addCommand(ShellEvent.EVENT_SHELL+OSGIConsoleModelLocator.getInstance().componentID,ShellCommand);
			this.addCommand(ServiceInfoEvent.EVENT_GET_SERVICE_LIST+OSGIConsoleModelLocator.getInstance().componentID,ServiceInfoCommand);
			this.addCommand(ServiceSelectedEvent.EVENT_SERVICE_SELECTED+OSGIConsoleModelLocator.getInstance().componentID,ServiceSelectedCommand);
			this.addCommand(OBRRepoEvent.EVENT_REPO_OBR+OSGIConsoleModelLocator.getInstance().componentID,OBRRepoCommand);
			this.addCommand(OBRRepoActionEvent.EVENT_ACTION_REPO_OBR+OSGIConsoleModelLocator.getInstance().componentID,OBRRepoActionCommand);
			this.addCommand(ErrorUpdateEvent.EVENT_UPDATE_ERROR+OSGIConsoleModelLocator.getInstance().componentID,ErrorUpdateCommand);
		}
	}
}